﻿using System.Drawing;
using System.Drawing.Drawing2D;
using System.Windows.Forms;

using Steema.TeeChart.Drawing;
using Steema.TeeChart.Styles;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            Text = "TChart 클래스 : Panel 속성을 사용해 패널 이미지 베벨 해시 스타일 설정하기";

            this.tChart.Panel.Pen                              = new ChartPen(Color.Black);
            this.tChart.Panel.ImageBevel.Width                 = 18;
            this.tChart.Panel.ImageBevel.Brush.Solid           = false;
            this.tChart.Panel.ImageBevel.Brush.Style           = HatchStyle.Shingle;
            this.tChart.Panel.ImageBevel.Brush.ForegroundColor = Color.FromArgb(254, 192, 192, 192);
            this.tChart.Panel.ImageBevel.Brush.Color           = Color.FromArgb(254, 128, 128, 208);
            this.tChart.Panel.ImageBevel.Pen.Width             = 2;
            this.tChart.Panel.ImageBevel.Pen.Color             = Color.FromArgb(127, 0, 0, 0);
            this.tChart.Panel.ImageBevel.Pen.Transparency      = 50;
            this.tChart.Panel.ImageBevel.Pen.Visible           = false;
            this.tChart.Panel.ImageBevel.Visible               = true;

            Pie pie = new Pie(this.tChart.Chart);

            pie.FillSampleValues();
        }

        #endregion
    }
}